QGIS Plugin set up error

Hello,

I want to use the Speckle plugin for QGIS but it doesn’t seem to work.

Here is what I did:

  • downloaded Speckle manager
  • created a Speckle account and linked it to Speckle manager. I can now see it as the Default Account with my name and email adress.
  • Added the plugin to Qgis

Now when clicking on the blue box in Qgis, I can see my layers in the layer box but no stream. I click on + (Add Project Stream) and a new window open Add Speckle Stream with my account. I also have this error:


2022-02-15T09:41:11     WARNING    Traceback (most recent call last):
              File "C:\Users\feme\AppData\Roaming\Python\Python39\site-packages\specklepy\api\client.py", line 84, in __init__
              raise serverInfo
             specklepy.logging.exceptions.SpeckleException: SpeckleException: Failed to execute the GraphQL server request. Inner exception: HTTPSConnectionPool(host='speckle.xyz', port=443): Max retries exceeded with url: /graphql (Caused by SSLError(SSLError(1, 'A failure in the SSL library occurred (_ssl.c:1129)')))
             
             During handling of the above exception, another exception occurred:
             
             Traceback (most recent call last):
              File "C:\Users\feme\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\speckle-qgis\ui\add_stream_modal.py", line 65, in onAccountSelected
              self.speckle_client = SpeckleClient(account.serverInfo.url, account.serverInfo.url.startswith("https"))
              File "C:\Users\feme\AppData\Roaming\Python\Python39\site-packages\specklepy\api\client.py", line 88, in __init__
              raise SpeckleException(f"{self.url} is not a compatible Speckle Server", ex)
             specklepy.logging.exceptions.SpeckleException: SpeckleException: https://speckle.xyz is not a compatible Speckle Server

When searching for a Stream, I get another error:

2022-02-15T09:42:40     WARNING    Traceback (most recent call last):
              File 

"C:\Users\feme\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\speckle-qgis\ui\add_stream_modal.py", line 43, in onSearchClicked
              results = self.speckle_client.stream.search(query)
             AttributeError: 'NoneType' object has no attribute 'stream'

What can be causing this ?

I am using Windows 10 and Qgis 3.22. Qgis 3.16 is giving the same error.

1 Like

Hi @melindaf!

Thanks for reporting this and sharing the error codes. In noticed it’s your first time in the forum so welcome! Feel free to Introduce yourself 🙆 if you feel like it.

I’ve followed the same steps but can’t seem to reproduce this error in my machine (either in mac nor windows). So I’ll suggest a couple of things to try instead, to eliminate some of the possible root causes of this issue.

  • Do a full uninstall and reinstall of the QGIS Speckle plugin.
  • Delete your manager account and add it again.
  • Try with a different speckle server (we can give you access to our beta server if needed https://latest.speckle.dev)

Sorry for the “not so helpful” reply, I’ll do some digging on my side to figure out what could be going on.

Meanwhile, what method did you use to install your QGIS originally? The normal installer or the OS4GeoW one? This may help me pinpoint the differences between your setup and mine.

Let me know how that goes!

Thank you for your answer @AlanRynne !

QGIS was installed with the Standalone installers (MSI) from OSGeo4W package. Would you recommend installing it with QGIS in OSGeo4W ?

So I tried the following things:

  • uninstall and reinstall QGIS (Standalone installer) 3.16 and 3.22
  • uninstall and reinstall the Speckle plugin
  • Delete my account from Speckle manager and add it again.

The error I get when trying to use the plugin are the same.

A small update, now when opening QGIS, I get an error saying that the QGIS Speckle plugin was deactivated as it crashed QGIS.

It is possible to activate it again without a problem (QGIS doesn’t crash) but it still doesn’t work unfortunately.

Hi all,

Me and Melinda work in the same company and I came here to share the issue, in case anyone has it as well.

The issue is with our company internet security protocols, that it doesn’t allow the connection from the plugin through the speckle server. That needs to be figured on our side.

Otherwise it is working now, proven that we use internet free of the security protocolls or we ask the company to make an exemption for the plugin.

:slight_smile:

2 Likes

Thanks @melindaf and @natasha.catunda for this :slight_smile: sorry for the late reply, we’re on a company retreat.

I’m glad to know it’s not an issue on our side, but don’t hesitate to get back to us if there’s something we could do to improve this on our end.